<!-- <div style="margin-top: 20px;">
    <div class="container">

        <div style="margin-top: 20px;">
            <h5>
                <span>Approval Leasing</span>
            </h5>
            <p-dataTable
                [value]="salesUnitRequirements"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idRequirement"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)"
                class="width-filter">
                <p-header>
                    <jhi-alert></jhi-alert>
                </p-header>

                <p-column header="No. VSO" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.requirementNumber}}
                    </ng-template>
                </p-column>

                <p-column header="Tanggal Pengajuan" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateCreate | date:'dd-MMM-yyyy'}}
                    </ng-template>
                </p-column>

                <p-column header="Finance Company" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.leasingName}}
                    </ng-template>
                </p-column>

                <p-column header="Nama Customer" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.customerName}}
                    </ng-template>
                </p-column>

                <p-column header="Sales" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.salesmanName}}
                    </ng-template>
                </p-column>

                <p-column header="Korsal" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.korsalName}}
                    </ng-template>
                </p-column>

                <p-column header="Status" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{getStatus(rowData.approvalLeasing)}}
                    </ng-template>
                </p-column>

                <p-column header="PO Finance Company" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.poNumber}}
                    </ng-template>
                </p-column>

                <p-column header="User" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.approvalLeasing == 62 || rowData.approvalLeasing == 61">
                            {{rowData.lastModifiedBy}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Tanggal Update" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.approvalLeasing == 62 || rowData.approvalLeasing == 61">
                            {{rowData.dtApproval | date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>

                <p-column header="Aksi" >
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                            [routerLink]="['/approval-leasing-detail/'+ rowData.idRequirement +'/false']"
                            icon="fa-pencil"
                            class="flat-button">
                        </button>
                    </ng-template>
                </p-column>

                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>

            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div> -->

<div style="margin-top: 20px;">
    <div class="container">
        <div class="ui-g">
            <div class="ui-g-12">
                <p-dataList [value]="salesUnitRequirements" (onLazyLoad)="loadDataLazy($event)" [paginator]="true" [rows]="5">
                    <p-header>List Approval Leasing </p-header>
                    <ng-template let-salesUnitRequirement pTemplate="item">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-12 ui-md-12">
                                <div class="pull-left" style="font-weight:800">
                                    No VSO : {{salesUnitRequirement.requirementNumber}}
                                </div>
                                <div class="pull-right">
                                    {{salesUnitRequirement.dateCreate | date:'dd-MMM-yyyy'}}
                                </div>
                            </div>
                            <div class="ui-g-12 ui-md-12" style="font-weight:600">
                                Bpk / Ibu {{salesUnitRequirement.customerName}}
                            </div>
                            <div class="ui-g-12 ui-md-12">
                                <span>{{salesUnitRequirement.productName | Message : 'motor'}}</span> - <span>{{salesUnitRequirement.colorDescription | Message : 'color'}}</span>
                            </div>
                            <div class="ui-g-12 ui-md-12">
                                {{salesUnitRequirement.leasingName}}
                            </div>
                            <div class="ui-g-12 ui-md-12">
                                {{salesUnitRequirement.salesmanName}}
                            </div>
                            <div class="ui-g-12 ui-md-12" style="text-align:center;border-top:1px solid #d9d9d9;padding-top:20px;">
                                <div class="ui-g-12 ui-sm-12">
                                    <button style="background-color: #20a8d8 !important;border-color : #20a8d8 !important;" class="btn btn-primary btn-lg btn-block" [routerLink]="['/approval-leasing-detail/'+ salesUnitRequirement.idRequirement +'/false']">
                                        <i class="fa fa-eye"></i> View Detail
                                    </button>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </p-dataList>
            </div>
        </div>
    </div>
</div>

<p-confirmDialog></p-confirmDialog>
